{
  "models": [
    {
      "name": "Match",
      "synchronizable": true,
      "observable": true,
      "tokenExemptedMethods": [],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "round",
          "type": "String",
          "optional": true,
          "foreignKey": "Round*"
        },
        {
          "name": "groupStage",
          "type": "String",
          "optional": true,
          "foreignKey": "GroupStage*"
        },
        {
          "name": "startDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "endDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "index",
          "type": "Int"
        },
        {
          "name": "format",
          "type": "MatchFormat",
          "optional": true
        },
        {
          "name": "servingTeamId",
          "type": "String",
          "optional": true
        },
        {
          "name": "winningTeamId",
          "type": "String",
          "optional": true
        },
        {
          "name": "losingTeamId",
          "type": "String",
          "optional": true
        },
        {
          "name": "name",
          "type": "String",
          "optional": true
        },
        {
          "name": "disabled",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "courtIndex",
          "type": "Int",
          "optional": true
        },
        {
          "name": "confirmed",
          "type": "Bool",
          "defaultValue": "false"
        }
      ]
    }
  ]
}
